# Conditional build:
%def_without	threestore	# with 3store
%define oname redland

Name: libredland
Version: 1.0.7
Release: alt1

Summary: Redland - a library that provides a high-level interface for RDF

License: LGPL v2.1+ or GPL v2+ or Apache v2
Group: System/Libraries
Url: http://librdf.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.librdf.org/source/%oname-%version.tar.bz2
Patch: %oname-link.patch

BuildPreReq: rpm-build-compat

# Automatically added by buildreq on Mon Jan 07 2008
BuildRequires: gcc-c++ gtk-doc libMySQL-devel libdb4-devel libltdl-devel librasqal-devel libsqlite3-devel postgresql-devel zlib-devel

%if_with threestore
BuildRequires: 3store-devel >= 2.0
BuildRequires: 3store-devel < 3.0
%endif

%description
Redland is a library that provides a high-level interface for RDF
allowing the RDF graph to be parsed from XML, stored, queried and
manipulated. Redland implements each of the RDF concepts in its own
class via an object based API, reflected into the other language APIs:
Perl, Python, Tcl, Java and Ruby. Some of the classes providing the
parsers, storage mechanisms and other elements are built as modules
that can be added or removed as required.

%package devel
Summary: Headers for Redland RDF library
Group: Development/C
Requires: %name = %version-%release
%if_with threestore
Requires: 3store-devel >= 2.0
Requires: 3store-devel < 3.0
%endif

%description devel
Headers for Redland RDF library.

%package -n python-module-redland
Summary: Python bindings for Redland RDF library
Group: System/Libraries/Python
Requires: %name = %version-%release

%description -n python-module-redland
Python bindings for Redland RDF library

%prep
%setup -q -n %oname-%version
#%patch0 -p1

%build
#__autoreconf
%configure \
	--disable-static \
	--with-html-dir=%_gtkdocdir \
	--with-threestore=%{!?with_threestore:no}%{?with_threestore:yes} \
	--with-raptor=system \
	--with-rasqal=system

%make_build

%install
%make_install install DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc AUTHORS ChangeLog* FAQS.html LICENSE.html NEWS.html README.html RELEASE.html TODO.html
%_bindir/rdfproc
%_bindir/redland-db-upgrade
%_libdir/librdf.so.*
%dir %_datadir/redland/
%_datadir/redland/mysql-v*.ttl
%_man1dir/rdfproc.1*
%_man1dir/redland-db-upgrade.1*

%files devel
%doc docs/{README.html,storage.html}
%_bindir/redland-config
%_libdir/librdf.so
%_includedir/librdf.h
%_includedir/rdf_*.h
%_includedir/redland.h
%_datadir/redland/Redland.i
%_pkgconfigdir/redland.pc
%_man1dir/redland-config.1*
%_man3dir/redland.3*
%_gtkdocdir/redland/

%changelog
* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 1.0.7-alt1
- new version 1.0.7 (with rpmrb script)
- update buildreq

* Sun Oct 21 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.6-alt1
- initial build for ALT Linux Sisyphus

